Cancel a subscription now or at a future date
Use this endpoint to cancel a subscription now or at a future date, given the unique identifier allocated by Bango for the subscription. This endpoint returns the updated subscription record.
If set to a future date, API consumers might want to show users
that date. In the updated record, use the cancelledDate field.
If you set a future date, either using requestedDate or by
setting entitlementPolicy to END_OF_TERM, the subscription
remains in state ACTIVE and the cancelledDate field is set.
For these subscriptions, you can undo the cancellation
(“uncancel”) using POST /subscription/{subscriptionId}/uncancel. Subscriptions in state
CANCELLED may not be uncancelled.
Note that there is no automatic refund of advance payments if a subscription is cancelled before the next billing date.

